Bug 1026064 - Installed cinnamon breaks gnome-shell
Installed cinnamon breaks gnome-shell
Product: Fedora
Classification: Fedora
Component: cinnamon-control-center (Show other bugs)
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2013-11-03 05:12 EST by Honza Horak
Modified: 2015-02-18 06:39 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-18 06:39:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Honza Horak 2013-11-03 05:12:00 EST
Description of problem:
After I installed cinnamon package I'm not able to change display settings in gnome-shell.

Version-Release number of selected component (if applicable):
# rpm -q gnome-shell cinnamon

How reproducible:

Steps to Reproduce:
1. yum install cinnamon
2. login to gnome-shell
3. open "Display settings"
4. click "Apply"

Actual results:
Error message:
"GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.cinnamon.SettingsDaemon was not provided by any .service files"
and no changes can be applied.

Expected results:
no errors and changes are applied

Additional info:
Comment 1 leigh scott 2013-11-03 06:17:32 EST
cinnamon-control-center and cinnamon-settings wont run in gnome-shell, this is normal, cinnamon tools have no affect on gnome.
Try using gnome control-center instead to change gnome settings eg:

gnome-control-center display
Comment 2 Honza Horak 2013-11-04 03:45:42 EST
That makes sense, but I haven't run the application from command-line, only typed "display" in Activities and run the first application named "Displays".

So the problem is actually that a wrong application run in gnome-shell -- cinnamon-control-center is run instead of gnome-control-center -- i.e. I see the following process running in gnome-shell:
python /usr/lib/cinnamon-settings/cinnamon-settings.py display

Re-assigning to gnome-shell, since it should be the one ensuring correct app is run.
Comment 3 Florian Müllner 2013-11-04 04:06:57 EST
(In reply to leigh scott from comment #1)
> cinnamon-control-center and cinnamon-settings wont run in gnome-shell, this
> is normal, cinnamon tools have no affect on gnome.

Then they should use
in their .desktop file.
Comment 4 Fedora End Of Life 2015-01-09 17:21:21 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-18 06:39:02 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.